# Makefile.in generated by automake 1.9.2 from Makefile.am.
# @configure_input@

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

@SET_MAKE@

# "src/util/test/Makefile.am"
#	$Id: Makefile.am,v 1.64 2009/08/28 20:45:32 fang Exp $
# NOTE: none of the tests in this directory should depend on ANY
# external package libraries or headers, so we coercively set
# LIBS and LDFLAGS to empty, which is normally bad policy for the
# real project being built.  We forgive this directory, for it is exceptional.
# We do, however, keep CXXFLAGS as specified by the user.  

# "Make.stddef"
#	vi: ft=automake
# make-independent definitions
# This Makefile fragment should be included as early as possible
# by other makefiles.  
#	$Id: Make.stddef,v 1.29 2008/12/04 21:27:08 fang Exp $

# "Make.global"
#	vi: ft=automake
# Project-wide Makefile targets and dependencies.
# Generally, it is recommended to include this Makefile last.  
# This file may be used as an includable Makefile snippet, 
# or with automake for automatic inlining.  
# NOTE: standard definition macros appear in "Make.stddef" and should
# be included *before* the inclusion of this Makefile.  
# NOTE: the for-loop syntax used requires that SHELL = sh, not bash.
#	$Id: Make.global,v 1.33 2008/12/23 04:42:20 fang Exp $



SOURCES = $(libbogusutil_la_SOURCES) $(libfangutil_la_SOURCES) $(liblinktest_la_SOURCES) $(libpooled_la_SOURCES) $(EBCO_test_SOURCES) $(bitmanip_test_SOURCES) $(chunk_map_pool_test_SOURCES) $(chunk_pool_ref_count_test_SOURCES) $(collection_pool_test_SOURCES) $(count_ptr_test_SOURCES) $(count_ptr_variant_test_SOURCES) $(deque_iterator_test_SOURCES) $(discrete_interval_set_test_SOURCES) $(excl_ptr_variant_test_SOURCES) $(exit_test_SOURCES) $(free_list_test_SOURCES) $(friend_function_formal_bug_SOURCES) $(gxx_pr29164_operator_delete_SOURCES) $(hash_map_iterator_O2_bug_test_SOURCES) $(hash_qmap_test_SOURCES) $(integer_traits_test_SOURCES) $(link_test_SOURCES) $(list_vector_pool_test_SOURCES) $(list_vector_test_SOURCES) $(local_static_store_test_SOURCES) $(maplikeset_test_SOURCES) $(multi_pool_module_test_SOURCES) $(multidimensional_qmap_test_SOURCES) $(multidimensional_sparse_set_test_SOURCES) $(multikey_generator_test_SOURCES) $(multikey_qmap_slice_test_SOURCES) $(multikey_qmap_test_SOURCES) $(multikey_set_derived_test_SOURCES) $(multikey_set_test_SOURCES) $(new_functor_test_SOURCES) $(packed_array_test_SOURCES) $(pipe_fork_test_SOURCES) $(pointer_classes_test_SOURCES) $(popen_test_SOURCES) $(pretty_function_test_SOURCES) $(priority_queue_test_SOURCES) $(ring_node_test_SOURCES) $(sparse_collection_test_SOURCES) $(stacktrace_test_SOURCES) $(static_count_ptr_test_SOURCES) $(string_test_SOURCES) $(sublist_test_SOURCES) $(throw_test_SOURCES) $(union_find_test_SOURCES) $(what_test_SOURCES)

srcdir = @srcdir@
top_srcdir = @top_srcdir@
VPATH = @srcdir@
pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@
top_builddir = ../../..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = @INSTALL@
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = @build@
host_triplet = @host@
DIST_COMMON = README $(noinst_HEADERS) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in \
	$(srcdir)/hash_map_iterator_O2_bug_test.test.in \
	$(top_srcdir)/Make.global $(top_srcdir)/Make.stddef
noinst_PROGRAMS = exit_test$(EXEEXT) pipe_fork_test$(EXEEXT) \
	popen_test$(EXEEXT) throw_test$(EXEEXT) what_test$(EXEEXT) \
	pretty_function_test$(EXEEXT) stacktrace_test$(EXEEXT) \
	friend_function_formal_bug$(EXEEXT) link_test$(EXEEXT) \
	bitmanip_test$(EXEEXT) string_test$(EXEEXT) \
	priority_queue_test$(EXEEXT) pointer_classes_test$(EXEEXT) \
	excl_ptr_variant_test$(EXEEXT) \
	gxx-pr29164-operator-delete$(EXEEXT) count_ptr_test$(EXEEXT) \
	count_ptr_variant_test$(EXEEXT) sublist_test$(EXEEXT) \
	deque_iterator_test$(EXEEXT) \
	hash_map_iterator_O2_bug_test$(EXEEXT) hash_qmap_test$(EXEEXT) \
	free_list_test$(EXEEXT) discrete_interval_set_test$(EXEEXT) \
	EBCO_test$(EXEEXT) integer_traits_test$(EXEEXT) \
	new_functor_test$(EXEEXT) list_vector_test$(EXEEXT) \
	list_vector_pool_test$(EXEEXT) chunk_map_pool_test$(EXEEXT) \
	static_count_ptr_test$(EXEEXT) \
	chunk_pool_ref_count_test$(EXEEXT) \
	local_static_store_test$(EXEEXT) \
	multi_pool_module_test$(EXEEXT) \
	multidimensional_sparse_set_test$(EXEEXT) \
	multidimensional_qmap_test$(EXEEXT) maplikeset_test$(EXEEXT) \
	multikey_qmap_test$(EXEEXT) multikey_generator_test$(EXEEXT) \
	multikey_qmap_slice_test$(EXEEXT) multikey_set_test$(EXEEXT) \
	multikey_set_derived_test$(EXEEXT) packed_array_test$(EXEEXT) \
	ring_node_test$(EXEEXT) union_find_test$(EXEEXT) \
	sparse_collection_test$(EXEEXT) collection_pool_test$(EXEEXT)
@CHECK_TESTS_TRUE@am__append_1 = $(noinst_PROGRAMS:=.test)

# make cvsignore by default
@AUTO_CVSIGNORE_TRUE@am__append_2 = cvsignore-am

# automake doesn't like b/c RECURSIVE_TARGETS not defined early enough
@AUTO_CVSIGNORE_TRUE@am__append_3 = cvsignore-recursive
@AUTO_CVSIGNORE_TRUE@am__append_4 = clean-cvsignore-recursive
subdir = src/util/test
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/config/builtin_funcs.m4 \
	$(top_srcdir)/config/cc.m4 $(top_srcdir)/config/cxx.m4 \
	$(top_srcdir)/config/cxx_STL.m4 \
	$(top_srcdir)/config/documentation.m4 \
	$(top_srcdir)/config/guile.m4 $(top_srcdir)/config/hackt.m4 \
	$(top_srcdir)/config/header_validation.m4 \
	$(top_srcdir)/config/lexyacc.m4 $(top_srcdir)/config/os.m4 \
	$(top_srcdir)/config/rl_el.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/src/__config__.h
CONFIG_CLEAN_FILES = hash_map_iterator_O2_bug_test.test
LTLIBRARIES = $(noinst_LTLIBRARIES)
libbogusutil_la_LIBADD =
am_libbogusutil_la_OBJECTS = bogus_stacktrace.lo static_trace.lo
libbogusutil_la_OBJECTS = $(am_libbogusutil_la_OBJECTS)
libfangutil_la_LIBADD =
am_libfangutil_la_OBJECTS = stacktrace.lo static_trace.lo \
	thread_lock.lo ref_count_pool.lo bitset.lo nibble_tables.lo \
	string.lo
libfangutil_la_OBJECTS = $(am_libfangutil_la_OBJECTS)
liblinktest_la_LIBADD =
am_liblinktest_la_OBJECTS = link_mod_a.lo link_mod_b.lo
liblinktest_la_OBJECTS = $(am_liblinktest_la_OBJECTS)
libpooled_la_LIBADD =
am_libpooled_la_OBJECTS = pool_module_a.lo pool_module_b.lo
libpooled_la_OBJECTS = $(am_libpooled_la_OBJECTS)
PROGRAMS = $(noinst_PROGRAMS)
am_EBCO_test_OBJECTS = EBCO_test.$(OBJEXT)
EBCO_test_OBJECTS = $(am_EBCO_test_OBJECTS)
EBCO_test_LDADD = $(LDADD)
am_bitmanip_test_OBJECTS = bitmanip_test.$(OBJEXT)
bitmanip_test_OBJECTS = $(am_bitmanip_test_OBJECTS)
bitmanip_test_DEPENDENCIES = libfangutil.la
am_chunk_map_pool_test_OBJECTS = chunk_map_pool_test.$(OBJEXT)
chunk_map_pool_test_OBJECTS = $(am_chunk_map_pool_test_OBJECTS)
chunk_map_pool_test_DEPENDENCIES = libfangutil.la
am_chunk_pool_ref_count_test_OBJECTS =  \
	chunk_pool_ref_count_test.$(OBJEXT)
chunk_pool_ref_count_test_OBJECTS =  \
	$(am_chunk_pool_ref_count_test_OBJECTS)
chunk_pool_ref_count_test_DEPENDENCIES = libfangutil.la
am_collection_pool_test_OBJECTS = collection_pool_test.$(OBJEXT)
collection_pool_test_OBJECTS = $(am_collection_pool_test_OBJECTS)
collection_pool_test_DEPENDENCIES = libfangutil.la
am_count_ptr_test_OBJECTS = count_ptr_test.$(OBJEXT)
count_ptr_test_OBJECTS = $(am_count_ptr_test_OBJECTS)
count_ptr_test_DEPENDENCIES = libfangutil.la
am_count_ptr_variant_test_OBJECTS = count_ptr_variant_test.$(OBJEXT)
count_ptr_variant_test_OBJECTS = $(am_count_ptr_variant_test_OBJECTS)
count_ptr_variant_test_DEPENDENCIES = libfangutil.la
am_deque_iterator_test_OBJECTS = deque_iterator_test.$(OBJEXT)
deque_iterator_test_OBJECTS = $(am_deque_iterator_test_OBJECTS)
deque_iterator_test_DEPENDENCIES = libfangutil.la
am_discrete_interval_set_test_OBJECTS =  \
	discrete_interval_set_test.$(OBJEXT)
discrete_interval_set_test_OBJECTS =  \
	$(am_discrete_interval_set_test_OBJECTS)
discrete_interval_set_test_LDADD = $(LDADD)
am_excl_ptr_variant_test_OBJECTS = excl_ptr_variant_test.$(OBJEXT)
excl_ptr_variant_test_OBJECTS = $(am_excl_ptr_variant_test_OBJECTS)
excl_ptr_variant_test_LDADD = $(LDADD)
am_exit_test_OBJECTS = exit_test.$(OBJEXT) pooled_thing.$(OBJEXT)
exit_test_OBJECTS = $(am_exit_test_OBJECTS)
exit_test_DEPENDENCIES = libfangutil.la
am_free_list_test_OBJECTS = free_list_test.$(OBJEXT)
free_list_test_OBJECTS = $(am_free_list_test_OBJECTS)
free_list_test_DEPENDENCIES = libfangutil.la
am_friend_function_formal_bug_OBJECTS =  \
	friend_function_formal_bug.$(OBJEXT)
friend_function_formal_bug_OBJECTS =  \
	$(am_friend_function_formal_bug_OBJECTS)
friend_function_formal_bug_LDADD = $(LDADD)
am_gxx_pr29164_operator_delete_OBJECTS =  \
	gxx-pr29164-operator-delete.$(OBJEXT) one_array_only.$(OBJEXT)
gxx_pr29164_operator_delete_OBJECTS =  \
	$(am_gxx_pr29164_operator_delete_OBJECTS)
gxx_pr29164_operator_delete_LDADD = $(LDADD)
am_hash_map_iterator_O2_bug_test_OBJECTS =  \
	hash_map_iterator_O2_bug_test.$(OBJEXT)
hash_map_iterator_O2_bug_test_OBJECTS =  \
	$(am_hash_map_iterator_O2_bug_test_OBJECTS)
hash_map_iterator_O2_bug_test_LDADD = $(LDADD)
am_hash_qmap_test_OBJECTS = hash_qmap_test.$(OBJEXT)
hash_qmap_test_OBJECTS = $(am_hash_qmap_test_OBJECTS)
hash_qmap_test_LDADD = $(LDADD)
am_integer_traits_test_OBJECTS = integer_traits_test.$(OBJEXT)
integer_traits_test_OBJECTS = $(am_integer_traits_test_OBJECTS)
integer_traits_test_LDADD = $(LDADD)
am_link_test_OBJECTS = link_test.$(OBJEXT)
link_test_OBJECTS = $(am_link_test_OBJECTS)
link_test_DEPENDENCIES = liblinktest.la libbogusutil.la
am_list_vector_pool_test_OBJECTS = list_vector_pool_test.$(OBJEXT)
list_vector_pool_test_OBJECTS = $(am_list_vector_pool_test_OBJECTS)
list_vector_pool_test_DEPENDENCIES = libfangutil.la
am_list_vector_test_OBJECTS = list_vector_test.$(OBJEXT)
list_vector_test_OBJECTS = $(am_list_vector_test_OBJECTS)
list_vector_test_LDADD = $(LDADD)
am_local_static_store_test_OBJECTS =  \
	local_static_store_test.$(OBJEXT) named_pooled_thing.$(OBJEXT)
local_static_store_test_OBJECTS =  \
	$(am_local_static_store_test_OBJECTS)
local_static_store_test_DEPENDENCIES = libfangutil.la
am_maplikeset_test_OBJECTS = maplikeset_test.$(OBJEXT)
maplikeset_test_OBJECTS = $(am_maplikeset_test_OBJECTS)
maplikeset_test_LDADD = $(LDADD)
am_multi_pool_module_test_OBJECTS = multi_pool_module_test.$(OBJEXT)
multi_pool_module_test_OBJECTS = $(am_multi_pool_module_test_OBJECTS)
multi_pool_module_test_DEPENDENCIES = libpooled.la libfangutil.la
am_multidimensional_qmap_test_OBJECTS =  \
	multidimensional_qmap_test.$(OBJEXT)
multidimensional_qmap_test_OBJECTS =  \
	$(am_multidimensional_qmap_test_OBJECTS)
multidimensional_qmap_test_LDADD = $(LDADD)
am_multidimensional_sparse_set_test_OBJECTS =  \
	multidimensional_sparse_set_test.$(OBJEXT)
multidimensional_sparse_set_test_OBJECTS =  \
	$(am_multidimensional_sparse_set_test_OBJECTS)
multidimensional_sparse_set_test_DEPENDENCIES = libfangutil.la
am_multikey_generator_test_OBJECTS =  \
	multikey_generator_test.$(OBJEXT)
multikey_generator_test_OBJECTS =  \
	$(am_multikey_generator_test_OBJECTS)
multikey_generator_test_LDADD = $(LDADD)
am_multikey_qmap_slice_test_OBJECTS =  \
	multikey_qmap_slice_test.$(OBJEXT)
multikey_qmap_slice_test_OBJECTS =  \
	$(am_multikey_qmap_slice_test_OBJECTS)
multikey_qmap_slice_test_LDADD = $(LDADD)
am_multikey_qmap_test_OBJECTS = multikey_qmap_test.$(OBJEXT)
multikey_qmap_test_OBJECTS = $(am_multikey_qmap_test_OBJECTS)
multikey_qmap_test_LDADD = $(LDADD)
am_multikey_set_derived_test_OBJECTS =  \
	multikey_set_derived_test.$(OBJEXT)
multikey_set_derived_test_OBJECTS =  \
	$(am_multikey_set_derived_test_OBJECTS)
multikey_set_derived_test_LDADD = $(LDADD)
am_multikey_set_test_OBJECTS = multikey_set_test.$(OBJEXT)
multikey_set_test_OBJECTS = $(am_multikey_set_test_OBJECTS)
multikey_set_test_LDADD = $(LDADD)
am_new_functor_test_OBJECTS = new_functor_test.$(OBJEXT)
new_functor_test_OBJECTS = $(am_new_functor_test_OBJECTS)
new_functor_test_LDADD = $(LDADD)
am_packed_array_test_OBJECTS = packed_array_test.$(OBJEXT)
packed_array_test_OBJECTS = $(am_packed_array_test_OBJECTS)
packed_array_test_LDADD = $(LDADD)
am_pipe_fork_test_OBJECTS = pipe_fork_test.$(OBJEXT)
pipe_fork_test_OBJECTS = $(am_pipe_fork_test_OBJECTS)
pipe_fork_test_LDADD = $(LDADD)
am_pointer_classes_test_OBJECTS = pointer_classes_test.$(OBJEXT)
pointer_classes_test_OBJECTS = $(am_pointer_classes_test_OBJECTS)
pointer_classes_test_LDADD = $(LDADD)
am_popen_test_OBJECTS = popen_test.$(OBJEXT)
popen_test_OBJECTS = $(am_popen_test_OBJECTS)
popen_test_LDADD = $(LDADD)
am_pretty_function_test_OBJECTS = pretty_function_test.$(OBJEXT)
pretty_function_test_OBJECTS = $(am_pretty_function_test_OBJECTS)
pretty_function_test_LDADD = $(LDADD)
am_priority_queue_test_OBJECTS = priority_queue_test.$(OBJEXT)
priority_queue_test_OBJECTS = $(am_priority_queue_test_OBJECTS)
priority_queue_test_LDADD = $(LDADD)
am_ring_node_test_OBJECTS = ring_node_test.$(OBJEXT)
ring_node_test_OBJECTS = $(am_ring_node_test_OBJECTS)
ring_node_test_LDADD = $(LDADD)
am_sparse_collection_test_OBJECTS = sparse_collection_test.$(OBJEXT)
sparse_collection_test_OBJECTS = $(am_sparse_collection_test_OBJECTS)
sparse_collection_test_DEPENDENCIES = libfangutil.la
am_stacktrace_test_OBJECTS = stacktrace_test.$(OBJEXT)
stacktrace_test_OBJECTS = $(am_stacktrace_test_OBJECTS)
stacktrace_test_DEPENDENCIES = libfangutil.la
am_static_count_ptr_test_OBJECTS = static_count_ptr_test.$(OBJEXT) \
	named_pooled_thing.$(OBJEXT)
static_count_ptr_test_OBJECTS = $(am_static_count_ptr_test_OBJECTS)
static_count_ptr_test_DEPENDENCIES = libfangutil.la
am_string_test_OBJECTS = string_test.$(OBJEXT)
string_test_OBJECTS = $(am_string_test_OBJECTS)
string_test_DEPENDENCIES = libfangutil.la
am_sublist_test_OBJECTS = sublist_test.$(OBJEXT)
sublist_test_OBJECTS = $(am_sublist_test_OBJECTS)
sublist_test_LDADD = $(LDADD)
am_throw_test_OBJECTS = throw_test.$(OBJEXT) pooled_thing.$(OBJEXT)
throw_test_OBJECTS = $(am_throw_test_OBJECTS)
throw_test_DEPENDENCIES = libfangutil.la
am_union_find_test_OBJECTS = union_find_test.$(OBJEXT)
union_find_test_OBJECTS = $(am_union_find_test_OBJECTS)
union_find_test_LDADD = $(LDADD)
am_what_test_OBJECTS = what_test.$(OBJEXT)
what_test_OBJECTS = $(am_what_test_OBJECTS)
what_test_LDADD = $(LDADD)
DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)/src
depcomp = $(SHELL) $(top_srcdir)/config/depcomp
am__depfiles_maybe = depfiles
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
LTCXXCOMPILE = $(LIBTOOL) --mode=compile --tag=CXX $(CXX) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CXXFLAGS) $(CXXFLAGS)
CXXLD = $(CXX)
CXXLINK = $(LIBTOOL) --mode=link --tag=CXX $(CXXLD) $(AM_CXXFLAGS) \
	$(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --mode=compile --tag=CC $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --mode=link --tag=CC $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(libbogusutil_la_SOURCES) $(libfangutil_la_SOURCES) \
	$(liblinktest_la_SOURCES) $(libpooled_la_SOURCES) \
	$(EBCO_test_SOURCES) $(bitmanip_test_SOURCES) \
	$(chunk_map_pool_test_SOURCES) \
	$(chunk_pool_ref_count_test_SOURCES) \
	$(collection_pool_test_SOURCES) $(count_ptr_test_SOURCES) \
	$(count_ptr_variant_test_SOURCES) \
	$(deque_iterator_test_SOURCES) \
	$(discrete_interval_set_test_SOURCES) \
	$(excl_ptr_variant_test_SOURCES) $(exit_test_SOURCES) \
	$(free_list_test_SOURCES) \
	$(friend_function_formal_bug_SOURCES) \
	$(gxx_pr29164_operator_delete_SOURCES) \
	$(hash_map_iterator_O2_bug_test_SOURCES) \
	$(hash_qmap_test_SOURCES) $(integer_traits_test_SOURCES) \
	$(link_test_SOURCES) $(list_vector_pool_test_SOURCES) \
	$(list_vector_test_SOURCES) $(local_static_store_test_SOURCES) \
	$(maplikeset_test_SOURCES) $(multi_pool_module_test_SOURCES) \
	$(multidimensional_qmap_test_SOURCES) \
	$(multidimensional_sparse_set_test_SOURCES) \
	$(multikey_generator_test_SOURCES) \
	$(multikey_qmap_slice_test_SOURCES) \
	$(multikey_qmap_test_SOURCES) \
	$(multikey_set_derived_test_SOURCES) \
	$(multikey_set_test_SOURCES) $(new_functor_test_SOURCES) \
	$(packed_array_test_SOURCES) $(pipe_fork_test_SOURCES) \
	$(pointer_classes_test_SOURCES) $(popen_test_SOURCES) \
	$(pretty_function_test_SOURCES) $(priority_queue_test_SOURCES) \
	$(ring_node_test_SOURCES) $(sparse_collection_test_SOURCES) \
	$(stacktrace_test_SOURCES) $(static_count_ptr_test_SOURCES) \
	$(string_test_SOURCES) $(sublist_test_SOURCES) \
	$(throw_test_SOURCES) $(union_find_test_SOURCES) \
	$(what_test_SOURCES)
DIST_SOURCES = $(libbogusutil_la_SOURCES) $(libfangutil_la_SOURCES) \
	$(liblinktest_la_SOURCES) $(libpooled_la_SOURCES) \
	$(EBCO_test_SOURCES) $(bitmanip_test_SOURCES) \
	$(chunk_map_pool_test_SOURCES) \
	$(chunk_pool_ref_count_test_SOURCES) \
	$(collection_pool_test_SOURCES) $(count_ptr_test_SOURCES) \
	$(count_ptr_variant_test_SOURCES) \
	$(deque_iterator_test_SOURCES) \
	$(discrete_interval_set_test_SOURCES) \
	$(excl_ptr_variant_test_SOURCES) $(exit_test_SOURCES) \
	$(free_list_test_SOURCES) \
	$(friend_function_formal_bug_SOURCES) \
	$(gxx_pr29164_operator_delete_SOURCES) \
	$(hash_map_iterator_O2_bug_test_SOURCES) \
	$(hash_qmap_test_SOURCES) $(integer_traits_test_SOURCES) \
	$(link_test_SOURCES) $(list_vector_pool_test_SOURCES) \
	$(list_vector_test_SOURCES) $(local_static_store_test_SOURCES) \
	$(maplikeset_test_SOURCES) $(multi_pool_module_test_SOURCES) \
	$(multidimensional_qmap_test_SOURCES) \
	$(multidimensional_sparse_set_test_SOURCES) \
	$(multikey_generator_test_SOURCES) \
	$(multikey_qmap_slice_test_SOURCES) \
	$(multikey_qmap_test_SOURCES) \
	$(multikey_set_derived_test_SOURCES) \
	$(multikey_set_test_SOURCES) $(new_functor_test_SOURCES) \
	$(packed_array_test_SOURCES) $(pipe_fork_test_SOURCES) \
	$(pointer_classes_test_SOURCES) $(popen_test_SOURCES) \
	$(pretty_function_test_SOURCES) $(priority_queue_test_SOURCES) \
	$(ring_node_test_SOURCES) $(sparse_collection_test_SOURCES) \
	$(stacktrace_test_SOURCES) $(static_count_ptr_test_SOURCES) \
	$(string_test_SOURCES) $(sublist_test_SOURCES) \
	$(throw_test_SOURCES) $(union_find_test_SOURCES) \
	$(what_test_SOURCES)
HEADERS = $(noinst_HEADERS)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ABI_ILP32_FALSE = @ABI_ILP32_FALSE@
ABI_ILP32_TRUE = @ABI_ILP32_TRUE@
ABI_ILP64_FALSE = @ABI_ILP64_FALSE@
ABI_ILP64_TRUE = @ABI_ILP64_TRUE@
ACLOCAL = @ACLOCAL@
ACLOCAL_FLAGS = @ACLOCAL_FLAGS@
ALLOCA = @ALLOCA@
ALWAYS_TRUE_FALSE = @ALWAYS_TRUE_FALSE@
ALWAYS_TRUE_TRUE = @ALWAYS_TRUE_TRUE@
AMDEP_FALSE = @AMDEP_FALSE@
AMDEP_TRUE = @AMDEP_TRUE@
AMTAR = @AMTAR@
AR = @AR@
AUTOCONF = @AUTOCONF@
AUTOHEADER = @AUTOHEADER@
AUTOMAKE = @AUTOMAKE@
AUTO_CPPFLAGS = @AUTO_CPPFLAGS@
AUTO_CVSIGNORE_FALSE = @AUTO_CVSIGNORE_FALSE@
AUTO_CVSIGNORE_TRUE = @AUTO_CVSIGNORE_TRUE@
AUTO_LDFLAGS = @AUTO_LDFLAGS@
AWK = @AWK@
BIBTEX = @BIBTEX@
BIN_TEST = @BIN_TEST@
BUILD_DARWIN_FALSE = @BUILD_DARWIN_FALSE@
BUILD_DARWIN_TRUE = @BUILD_DARWIN_TRUE@
CALLMAKE = @CALLMAKE@
# std-options

# useful standard utility definitions
# consider autoconf-ing these...
CAT = @CAT@
CC = @CC@
CCDEPMODE = @CCDEPMODE@
CFLAGS = @CFLAGS@
CFLAT = @CFLAT@
CHECK_TESTS_FALSE = @CHECK_TESTS_FALSE@
CHECK_TESTS_TRUE = @CHECK_TESTS_TRUE@
CHMOD = @CHMOD@
CIRCO = @CIRCO@
CONFIGDATE = @CONFIGDATE@
CONVENIENCE_LTDL_FALSE = @CONVENIENCE_LTDL_FALSE@
CONVENIENCE_LTDL_TRUE = @CONVENIENCE_LTDL_TRUE@
CPP = @CPP@
CPPFLAGS = @CPPFLAGS@
# not gcc -E
CPP_TRADITIONAL = @CPP_TRADITIONAL@
CUT = @CUT@
CVS = @CVS@
CXX = @CXX@
CXXCPP = @CXXCPP@
CXXDEPMODE = @CXXDEPMODE@
CXXFLAGS = @CXXFLAGS@
CXX_VERSION = @CXX_VERSION@
CYGPATH_W = @CYGPATH_W@
DATE = @DATE@
DEFS = @DEFS@
DEPDIR = @DEPDIR@
DIFF = @DIFF@
DOT = @DOT@
DOTTY = @DOTTY@
DOT_PATH = @DOT_PATH@
DOXYGEN = @DOXYGEN@
# -B: ignore blank line diffs
ECHO = @ECHO@
ECHO_C = @ECHO_C@
ECHO_N = @ECHO_N@
ECHO_T = @ECHO_T@
EGREP = @EGREP@
EL_INCLUDE = @EL_INCLUDE@
EL_LDPATH = @EL_LDPATH@
EL_LIB = @EL_LIB@
ENABLE_DOCS_FALSE = @ENABLE_DOCS_FALSE@
ENABLE_DOCS_TRUE = @ENABLE_DOCS_TRUE@
ENABLE_HEADER_VALIDATION_FALSE = @ENABLE_HEADER_VALIDATION_FALSE@
ENABLE_HEADER_VALIDATION_TRUE = @ENABLE_HEADER_VALIDATION_TRUE@
EXEEXT = @EXEEXT@
F77 = @F77@
FANG_DIALECT_FLAGS = @FANG_DIALECT_FLAGS@
FANG_WARN_CFLAGS = @FANG_WARN_CFLAGS@
FANG_WARN_CXXFLAGS = @FANG_WARN_CXXFLAGS@
FANG_WARN_FLAGS = @FANG_WARN_FLAGS@
FDP = @FDP@
FFLAGS = @FFLAGS@
FIG2DEV = @FIG2DEV@
FIG2DEV_PDFTEX_FALSE = @FIG2DEV_PDFTEX_FALSE@
FIG2DEV_PDFTEX_TRUE = @FIG2DEV_PDFTEX_TRUE@
FIND = @FIND@
GMP_INCLUDE = @GMP_INCLUDE@
GMP_LDPATH = @GMP_LDPATH@
GMP_LIB = @GMP_LIB@
GREP = @GREP@
GUILE = @GUILE@
GUILE_CONFIG = @GUILE_CONFIG@
GUILE_CONFIG_VERSION = @GUILE_CONFIG_VERSION@
GUILE_CPPFLAGS = @GUILE_CPPFLAGS@
GUILE_LDFLAGS = @GUILE_LDFLAGS@
GUILE_PATH = @GUILE_PATH@
HAVE_BIBTEX_FALSE = @HAVE_BIBTEX_FALSE@
HAVE_BIBTEX_TRUE = @HAVE_BIBTEX_TRUE@
HAVE_BISON_FALSE = @HAVE_BISON_FALSE@
HAVE_BISON_TRUE = @HAVE_BISON_TRUE@
HAVE_BYACC_FALSE = @HAVE_BYACC_FALSE@
HAVE_BYACC_TRUE = @HAVE_BYACC_TRUE@
HAVE_CFLAT_FALSE = @HAVE_CFLAT_FALSE@
HAVE_CFLAT_TRUE = @HAVE_CFLAT_TRUE@
HAVE_CIRCO_FALSE = @HAVE_CIRCO_FALSE@
HAVE_CIRCO_TRUE = @HAVE_CIRCO_TRUE@
HAVE_CVS_FALSE = @HAVE_CVS_FALSE@
HAVE_CVS_TRUE = @HAVE_CVS_TRUE@
HAVE_DOT = @HAVE_DOT@
HAVE_DOTTY_FALSE = @HAVE_DOTTY_FALSE@
HAVE_DOTTY_TRUE = @HAVE_DOTTY_TRUE@
HAVE_DOT_FALSE = @HAVE_DOT_FALSE@
HAVE_DOT_TRUE = @HAVE_DOT_TRUE@
HAVE_DOXYGEN_FALSE = @HAVE_DOXYGEN_FALSE@
HAVE_DOXYGEN_TRUE = @HAVE_DOXYGEN_TRUE@
HAVE_FDP_FALSE = @HAVE_FDP_FALSE@
HAVE_FDP_TRUE = @HAVE_FDP_TRUE@
HAVE_FIG2DEV_FALSE = @HAVE_FIG2DEV_FALSE@
HAVE_FIG2DEV_TRUE = @HAVE_FIG2DEV_TRUE@
HAVE_GXX_FALSE = @HAVE_GXX_FALSE@
HAVE_GXX_TRUE = @HAVE_GXX_TRUE@
HAVE_ICC_FALSE = @HAVE_ICC_FALSE@
HAVE_ICC_TRUE = @HAVE_ICC_TRUE@
HAVE_INFO_FALSE = @HAVE_INFO_FALSE@
HAVE_INFO_TRUE = @HAVE_INFO_TRUE@
HAVE_LATEX = @HAVE_LATEX@
HAVE_LATEX_FALSE = @HAVE_LATEX_FALSE@
HAVE_LATEX_TRUE = @HAVE_LATEX_TRUE@
HAVE_LEFTY_FALSE = @HAVE_LEFTY_FALSE@
HAVE_LEFTY_TRUE = @HAVE_LEFTY_TRUE@
HAVE_LIBGUILE_FALSE = @HAVE_LIBGUILE_FALSE@
HAVE_LIBGUILE_TRUE = @HAVE_LIBGUILE_TRUE@
HAVE_LVS_FALSE = @HAVE_LVS_FALSE@
HAVE_LVS_TRUE = @HAVE_LVS_TRUE@
HAVE_MAKEINDEX_FALSE = @HAVE_MAKEINDEX_FALSE@
HAVE_MAKEINDEX_TRUE = @HAVE_MAKEINDEX_TRUE@
HAVE_NEATO_FALSE = @HAVE_NEATO_FALSE@
HAVE_NEATO_TRUE = @HAVE_NEATO_TRUE@
HAVE_PDFLATEX = @HAVE_PDFLATEX@
HAVE_PDFLATEX_FALSE = @HAVE_PDFLATEX_FALSE@
HAVE_PDFLATEX_TRUE = @HAVE_PDFLATEX_TRUE@
HAVE_PKG_CONFIG_FALSE = @HAVE_PKG_CONFIG_FALSE@
HAVE_PKG_CONFIG_TRUE = @HAVE_PKG_CONFIG_TRUE@
HAVE_PRSIM_FALSE = @HAVE_PRSIM_FALSE@
HAVE_PRSIM_TRUE = @HAVE_PRSIM_TRUE@
HAVE_PS2EPSI_FALSE = @HAVE_PS2EPSI_FALSE@
HAVE_PS2EPSI_TRUE = @HAVE_PS2EPSI_TRUE@
HAVE_PS2PDF_FALSE = @HAVE_PS2PDF_FALSE@
HAVE_PS2PDF_TRUE = @HAVE_PS2PDF_TRUE@
HAVE_TWOPI_FALSE = @HAVE_TWOPI_FALSE@
HAVE_TWOPI_TRUE = @HAVE_TWOPI_TRUE@
HAVE_VCS_FALSE = @HAVE_VCS_FALSE@
HAVE_VCS_TRUE = @HAVE_VCS_TRUE@
HAVE_VPI_FALSE = @HAVE_VPI_FALSE@
HAVE_VPI_TRUE = @HAVE_VPI_TRUE@
HAVE_X11_FALSE = @HAVE_X11_FALSE@
HAVE_X11_TRUE = @HAVE_X11_TRUE@
HAVE_YACC_FALSE = @HAVE_YACC_FALSE@
HAVE_YACC_TRUE = @HAVE_YACC_TRUE@
HEAD = @HEAD@
HEXDUMP = @HEXDUMP@
INDENT = @INDENT@
INFO = @INFO@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_LTDL_FALSE = @INSTALL_LTDL_FALSE@
INSTALL_LTDL_TRUE = @INSTALL_LTDL_TRUE@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
INSTALL_TESTS_FALSE = @INSTALL_TESTS_FALSE@
INSTALL_TESTS_TRUE = @INSTALL_TESTS_TRUE@
INTERACTIVE_TESTS_FALSE = @INTERACTIVE_TESTS_FALSE@
INTERACTIVE_TESTS_TRUE = @INTERACTIVE_TESTS_TRUE@
LATEX = @LATEX@
LDFLAGS = @LDFLAGS@
LEFTY = @LEFTY@
LEX = @LEX@
LEXLIB = @LEXLIB@
LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
LEX_VERSION = @LEX_VERSION@
LIBADD_DL = @LIBADD_DL@
LIBLTDL = @LIBLTDL@
LIBOBJS = @LIBOBJS@

# No external libraries! see comment at top of this Makefile.am
LIBS = 
LIBTOOL = @LIBTOOL@
LIBTOOL_DEPS = @LIBTOOL_DEPS@
LIBTOOL_FLAGS = @LIBTOOL_FLAGS@
LN_S = @LN_S@
LTDLINCL = @LTDLINCL@
LTDL_OBJDIR = @LTDL_OBJDIR@
LTDL_SHLIBPATH_VAR = @LTDL_SHLIBPATH_VAR@
LTLIBOBJS = @LTLIBOBJS@
LVS = @LVS@
M4 = @M4@
MAKEINDEX = @MAKEINDEX@
MAKEINFO = @MAKEINFO@
NCURSES_INCLUDE = @NCURSES_INCLUDE@
NCURSES_LDPATH = @NCURSES_LDPATH@
NCURSES_LIB = @NCURSES_LIB@
NEATO = @NEATO@
OBJECT_ALIGN_CHECKING_FALSE = @OBJECT_ALIGN_CHECKING_FALSE@
OBJECT_ALIGN_CHECKING_TRUE = @OBJECT_ALIGN_CHECKING_TRUE@
OBJEXT = @OBJEXT@
PACKAGE = @PACKAGE@
PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
PACKAGE_NAME = @PACKAGE_NAME@
PACKAGE_STRING = @PACKAGE_STRING@
PACKAGE_TARNAME = @PACKAGE_TARNAME@
PACKAGE_VERSION = @PACKAGE_VERSION@
PASTE = @PASTE@
PATCH = @PATCH@
PATH_SEPARATOR = @PATH_SEPARATOR@
PDFLATEX = @PDFLATEX@
PERL = @PERL@
PERL_PATH = @PERL_PATH@
PKG_CONFIG = @PKG_CONFIG@
PRINTF = @PRINTF@
PRSIM = @PRSIM@
PS2EPSI = @PS2EPSI@
PS2PDF = @PS2PDF@
PSNUP = @PSNUP@
RANDOM_TESTS_FALSE = @RANDOM_TESTS_FALSE@
RANDOM_TESTS_TRUE = @RANDOM_TESTS_TRUE@
RANLIB = @RANLIB@
RL_INCLUDE = @RL_INCLUDE@
RL_LDPATH = @RL_LDPATH@
RL_LIB = @RL_LIB@
SED = sed
SET_MAKE = @SET_MAKE@
SH = @SH@

# force use of the ancient canonical bourne shell, 
# else configure may pick up bash as the shell interpreter.  
SHELL = @SH_PATH@
SH_PATH = @SH_PATH@
SLEEP = @SLEEP@
SORT = @SORT@
SRCDIR_BUILD_FALSE = @SRCDIR_BUILD_FALSE@
SRCDIR_BUILD_TRUE = @SRCDIR_BUILD_TRUE@
STRIP = @STRIP@
TAIL = @TAIL@
TEE = @TEE@
TEXI2HTML = @TEXI2HTML@
TOUCH = @TOUCH@
TR = @TR@
TRANSFIG = @TRANSFIG@
TWOPI = @TWOPI@
VCS = @VCS@
VERBOSE_CHECK_FALSE = @VERBOSE_CHECK_FALSE@
VERBOSE_CHECK_TRUE = @VERBOSE_CHECK_TRUE@
VERSION = @VERSION@
VPI_INCLUDE = @VPI_INCLUDE@
VPI_LDPATH = @VPI_LDPATH@
WANT_LIBMISCFUN_FALSE = @WANT_LIBMISCFUN_FALSE@
WANT_LIBMISCFUN_TRUE = @WANT_LIBMISCFUN_TRUE@
X11_INCLUDE = @X11_INCLUDE@
X11_LDPATH = @X11_LDPATH@
XARGS = @XARGS@
XDR_INCLUDE = @XDR_INCLUDE@
XDR_LDPATH = @XDR_LDPATH@
XDR_LIB = @XDR_LIB@
XFIG = @XFIG@
YACC = @YACC@
YACC_FIRST_TOKEN_ENUM = @YACC_FIRST_TOKEN_ENUM@
YACC_PURE_PARSER = @YACC_PURE_PARSER@
YACC_VERSION = @YACC_VERSION@
ac_ct_AR = @ac_ct_AR@
ac_ct_CC = @ac_ct_CC@
ac_ct_CXX = @ac_ct_CXX@
ac_ct_F77 = @ac_ct_F77@
ac_ct_RANLIB = @ac_ct_RANLIB@
ac_ct_STRIP = @ac_ct_STRIP@
am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@
am__fastdepCXX_TRUE = @am__fastdepCXX_TRUE@
am__include = @am__include@
am__leading_dot = @am__leading_dot@
am__quote = @am__quote@
am__tar = @am__tar@
am__untar = @am__untar@
bindir = @bindir@
build = @build@
build_alias = @build_alias@
build_cpu = @build_cpu@
build_os = @build_os@
build_vendor = @build_vendor@
datadir = @datadir@
exec_prefix = @exec_prefix@
host = @host@
host_alias = @host_alias@
host_cpu = @host_cpu@
host_os = @host_os@
host_vendor = @host_vendor@
includedir = @includedir@
infodir = @infodir@
install_sh = @install_sh@
libdir = @libdir@
libexecdir = @libexecdir@
localstatedir = @localstatedir@
mandir = @mandir@
mkdir_p = @mkdir_p@
oldincludedir = @oldincludedir@
prefix = @prefix@
program_transform_name = @program_transform_name@
sbindir = @sbindir@
sharedstatedir = @sharedstatedir@
subdirs = @subdirs@
sysconfdir = @sysconfdir@
target_alias = @target_alias@
# usually /bin/sh, but this is determined by configure
# add -v for verbose

# to control the version of automake (minimum)
AUTOMAKE_OPTIONS = 1.9 gnu subdir-objects
CP = cp -f
TEA = $(TEE) -a
PWD = @PWD@
RM = rm -f
MV = mv -f
SYNC = sync

# The following are detected and set by autoconf
# AR = ar
# ARFLAGS = -ru
# AWK = awk
# CPP = cpp
# LN = ln -fs
# RANLIB = ranlib

# defined with intention of self-modification... no used anymore
# THISMAKEFILE = Makefile

# standard automake targets to be initialized empty so subsequent uses
# may simply accumulate using +=, without having to worry about initialization
CLEANFILES = $(PREFILTER_FILES) $(EMPTY_STDERR_FILES)
DISTCLEANFILES = $(TEST_EXPECT_SH) $(libfangutil_la_SOURCES) check.log \
	cvsdiffs $(AUTO_DEPENDS)
CLEANDIRS = 
DISTCLEANDIRS = 
EXTRA_DIST = README local.cvsignore $(noinst_PROGRAMS:=.stderr) \
	$(MOREFILTER_TESTS:=.morefilter.sh)
TESTS = $(am__append_1)
# EXTRA_DIST files that should only be searched from the srcdir
srcdir_EXTRA_DIST = 

# pipe to strip out srcdir from a name
# NOTE: this was ripped from $(am__vpath_adj_setup)
#	and $(am__vpath_adj)
SED_srcdir_strip_setup = srcdirstrip=`$(ECHO) "$(srcdir)" | $(SED) 's|.|.|g'`
# SED_srcdir_strip_setup = $(am__vpath_adj_setup)
SED_srcdir_strip_fast = $(SED) "s|^$$srcdirstrip/||"
SED_srcdir_strip = { $(SED_srcdir_strip_setup) ; $(SED_srcdir_strip_fast) ;}

# strip all directory prefix (from am__strip_dir)
SED_stripdir = $(SED) 's|^.*/||'

# these files are automatically removed from distribution by dist-hook
DISTHOOK_CLEANFILES = 

# The following macros are custom-defined for use with this project, 
# in particular for coupled use with Make.global.

# yeah, stupid place to put a globally useful script, move it later...
# WARNING: don't put spaces in file names!
# SPACES_TO_NEWLINE = $(AWK) '{gsub("[ \t]+","\n"); print;}'
SPACES_TO_NEWLINE = $(TR) '[:blank:]' '\n'

# to accumulate and generate automatic .cvsignore
# we've provided some project wide definitions in Make.global
# NOTE: only directory and file names here
# Wild-cards like "*.foo*" must be wrapped in quotes when listed

# list of files to automatically CVS ignore, accumulated over Makefile
AUTO_IGNORE = test-expect.sh $(noinst_PROGRAMS) $(noinst_LTLIBRARIES) \
	$(BUILT_SOURCES) $(PREFILTER_FILES) $(TESTS) .gdb_history \
	.cvsignore Makefile.in Makefile make.log ignore backup temp \
	$(CLEANFILES) $(DISTCLEANFILES)

# automatically built dependencies
AUTO_DEPENDS = diff.autodepend exec.autodepend

# since automake doesn't allow appending RECURSIVE_TARGETS, we define our own:
MORE_RECURSIVE_TARGETS = force-recursive $(am__append_3) \
	build-check-recursive
MORE_CLEAN_RECURSIVE_TARGETS = $(am__append_4)

# This helper script is built by the top-level Makefile
# This is useful self-contained script for transforming program names
# to their installed names.  
INSTALL_TRANSFORM_SH = $(top_builddir)/install_transform.sh

# more robust way of removing patterns
# note: pattern arguments must be wrapped in quotes, e.g. "*.o"
RM_PATTERN = $(top_srcdir)/scripts/rm_pattern.sh

# for automatic regeneration of configured files:
RECONFIGURE = cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@

# script to extract texinfo documentation from source:
# invokable after cd $(srcdir):
EXTRACT_TEXINFO_IN_SRCDIR = $(AWK) -f $(top_builddir)/scripts/extract_texinfo.awk
# invokable from any subdir:
EXTRACT_TEXINFO = $(AWK) -f $(top_srcdir)/scripts/extract_texinfo.awk
SUFFIXES = .test .ii .i .hii .hhii .tccii \
	.out .out-filter .stderr .stderr-filter .diff

CPREPROCESS = $(COMPILE) -E
CXXPREPROCESS = $(CXXCOMPILE) -E

# TEST_EXPECT_SH = test-expect.sh
ADDRESS_FILTER = $(SED) -f $(top_srcdir)/test/address_filter.sed

# all-local: $(TEST_EXPECT_SH)

# check_SCRIPTS = $(TEST_EXPECT_SH)

# auto-generated test scripts
# .cc.test:
#	@{ $(ECHO) "#!$(SHELL)" ; \
#	$(ECHO) "# \"$@\"" ; \
#	$(ECHO) ./$(TEST_EXPECT_SH) ./$* $(srcdir) ;} > $@ ; \
#	$(CHMOD) +x $@
DEFAULT_DIFF_TEST_SCRIPT = \
	$(ECHO) "Summarizing $@ ..." ; \
	{ $(ECHO) $(SHELL_INTERPRETER) ; \
	$(ECHO) "\# \"$@\"" ; \
	if test -s $< ; then \
	  $(ECHO) "$(ECHO) $< is non-empty!" ; \
	  $(ECHO) "exit 1" ; \
	fi ;} > $@ ; \
	$(CHMOD) +x $@

TEST_DIFF = $(DIFF) -u
noinst_LTLIBRARIES = libfangutil.la libpooled.la \
	liblinktest.la libbogusutil.la

noinst_HEADERS = multikey_qmap_type_helper.h

# but is included in distribution, EXTRA_DIST? don't bother cleaning?
EMPTY_STDERR_FILES = friend_function_formal_bug.stderr \
	link_test.stderr excl_ptr_variant_test.stderr \
	count_ptr_variant_test.stderr \
	hash_map_iterator_O2_bug_test.stderr

AUTO_STDERR_FILES = multikey_set_derived_test.stderr
BUILT_SOURCES = stacktrace.cc static_trace.cc thread_lock.cc \
	ref_count_pool.cc bitset.cc nibble_tables.cc \
	$(EMPTY_STDERR_FILES) $(AUTO_STDERR_FILES)

pointer_classes_test_SOURCES = pointer_classes_test.cc var.h func.h
excl_ptr_variant_test_SOURCES = excl_ptr_variant_test.cc
count_ptr_variant_test_SOURCES = count_ptr_variant_test.cc
count_ptr_variant_test_LDADD = libfangutil.la
count_ptr_test_SOURCES = count_ptr_test.cc var.h
count_ptr_test_LDADD = libfangutil.la
gxx_pr29164_operator_delete_SOURCES = gxx-pr29164-operator-delete.cc \
	one_array_only.cc one_array_only.h

sublist_test_SOURCES = sublist_test.cc
deque_iterator_test_SOURCES = deque_iterator_test.cc
deque_iterator_test_LDADD = libfangutil.la
hash_map_iterator_O2_bug_test_SOURCES = hash_map_iterator_O2_bug_test.cc
hash_qmap_test_SOURCES = hash_qmap_test.cc
free_list_test_SOURCES = free_list_test.cc
free_list_test_LDADD = libfangutil.la
friend_function_formal_bug_SOURCES = friend_function_formal_bug.cc
priority_queue_test_SOURCES = priority_queue_test.cc
bitmanip_test_SOURCES = bitmanip_test.cc
bitmanip_test_LDADD = libfangutil.la
string_test_SOURCES = string_test.cc
string_test_LDADD = libfangutil.la
link_test_SOURCES = link_test.cc
link_test_LDADD = liblinktest.la libbogusutil.la
list_vector_test_SOURCES = list_vector_test.cc
list_vector_pool_test_SOURCES = list_vector_pool_test.cc
list_vector_pool_test_LDADD = libfangutil.la
chunk_map_pool_test_SOURCES = chunk_map_pool_test.cc
chunk_map_pool_test_LDADD = libfangutil.la
chunk_pool_ref_count_test_SOURCES = chunk_pool_ref_count_test.cc
chunk_pool_ref_count_test_LDADD = libfangutil.la
discrete_interval_set_test_SOURCES = discrete_interval_set_test.cc
EBCO_test_SOURCES = EBCO_test.cc
multidimensional_sparse_set_test_SOURCES = multidimensional_sparse_set_test.cc
multidimensional_sparse_set_test_LDADD = libfangutil.la
multidimensional_qmap_test_SOURCES = multidimensional_qmap_test.cc
maplikeset_test_SOURCES = maplikeset_test.cc
multikey_qmap_test_SOURCES = multikey_qmap_test.cc
multikey_generator_test_SOURCES = multikey_generator_test.cc
multikey_qmap_slice_test_SOURCES = multikey_qmap_slice_test.cc cube_slice.h plane_slice.h
multikey_set_test_SOURCES = multikey_set_test.cc
multikey_set_derived_test_SOURCES = multikey_set_derived_test.cc
integer_traits_test_SOURCES = integer_traits_test.cc
new_functor_test_SOURCES = new_functor_test.cc
packed_array_test_SOURCES = packed_array_test.cc
exit_test_SOURCES = exit_test.cc pooled_thing.cc pooled_thing.h
exit_test_LDADD = libfangutil.la
pipe_fork_test_SOURCES = pipe_fork_test.cc
# pipe_fork_test_LDADD = libfangutil.la
popen_test_SOURCES = popen_test.cc
# popen_test_LDADD = libfangutil.la
throw_test_SOURCES = throw_test.cc pooled_thing.cc pooled_thing.h
throw_test_LDADD = libfangutil.la
stacktrace_test_SOURCES = stacktrace_test.cc
stacktrace_test_LDADD = libfangutil.la
what_test_SOURCES = what_test.cc
pretty_function_test_SOURCES = pretty_function_test.cc
local_static_store_test_SOURCES = local_static_store_test.cc \
	named_pooled_thing.cc named_pooled_thing.h

local_static_store_test_LDADD = libfangutil.la
multi_pool_module_test_SOURCES = multi_pool_module_test.cc
multi_pool_module_test_LDADD = libpooled.la libfangutil.la
# note link ordering!
static_count_ptr_test_SOURCES = static_count_ptr_test.cc named_pooled_thing.cc
static_count_ptr_test_LDADD = libfangutil.la
ring_node_test_SOURCES = ring_node_test.cc
union_find_test_SOURCES = union_find_test.cc
sparse_collection_test_SOURCES = sparse_collection_test.cc
sparse_collection_test_LDADD = libfangutil.la
collection_pool_test_SOURCES = collection_pool_test.cc
collection_pool_test_LDADD = libfangutil.la
libfangutil_la_SOURCES = stacktrace.cc static_trace.cc thread_lock.cc \
	ref_count_pool.cc bitset.cc nibble_tables.cc string.cc

libbogusutil_la_SOURCES = bogus_stacktrace.cc bogus_stacktrace.h static_trace.cc
libpooled_la_SOURCES = \
	pool_module_a.cc pool_module_b.cc pool_module_a.h pool_module_b.h

liblinktest_la_SOURCES = \
	link_mod_a.cc link_mod_b.cc link_mod_a.h link_mod_b.h


# some tests require more than the default filtering
MOREFILTER_TESTS = \
	local_static_store_test \
	multi_pool_module_test

PREFILTER_FILES = \
	$(MOREFILTER_TESTS:=.stderr-orig) \
	$(MOREFILTER_TESTS:=.out-orig)


# the util/ source directory
AM_CPPFLAGS = -I$(srcdir)/../..
@HAVE_GXX_FALSE@GENERAL_WARN_FLAGS = @FANG_WARN_FLAGS@

# some of these flags are deadly...
@HAVE_GXX_TRUE@GENERAL_WARN_FLAGS = @FANG_WARN_FLAGS@
@HAVE_GXX_FALSE@WARN_CFLAGS = @FANG_WARN_CFLAGS@
# C specific warnings
@HAVE_GXX_TRUE@WARN_CFLAGS = @FANG_WARN_CFLAGS@
@HAVE_GXX_FALSE@WARN_CXXFLAGS = @FANG_WARN_CXXFLAGS@
# C++ specific warnings
@HAVE_GXX_TRUE@WARN_CXXFLAGS = @FANG_WARN_CXXFLAGS@
@HAVE_GXX_FALSE@DIALECT_FLAGS = @FANG_DIALECT_FLAGS@
# -Wsign-promo	# kills some code
@HAVE_GXX_TRUE@DIALECT_FLAGS = @FANG_DIALECT_FLAGS@
@HAVE_GXX_FALSE@PIPE_FLAG = 
# PIPE_FLAG = -pipe
@HAVE_GXX_TRUE@PIPE_FLAG = 
MORE_CFLAGS = $(PIPE_FLAG) $(DIALECT_FLAGS) $(WARN_CFLAGS) $(GENERAL_WARN_FLAGS)
MORE_CXXFLAGS = $(PIPE_FLAG) $(DIALECT_FLAGS) $(WARN_CXXFLAGS) $(GENERAL_WARN_FLAGS)
AM_CFLAGS = $(MORE_CFLAGS)
AM_CXXFLAGS = $(MORE_CXXFLAGS)
ALL_CVSIGNORE = $(am__append_2)
# RECURSIVE_TARGETS =

# blatantly copied from Makefile.in, generated by automake
RECURSIVE_TARGET_SCRIPT = \
	failcom='exit 1'; \
	for f in x $$MAKEFLAGS; do \
	  case $$f in \
	    *=* | --[!k]*);; \
	    *k*) failcom='fail=yes';; \
	  esac; \
	done; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	  || eval $$failcom; \
	done; \
	if test "$$dot_seen" = "no"; then \
	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
	fi; test -z "$$fail"


# always bottom-up and reverse order
# NOTE: this script needs to be prepended with '+' to connect jobserver
CLEAN_RECURSIVE_TARGET_SCRIPT = \
	set fnord $$MAKEFLAGS; amf=$$2; \
	list='$(SUBDIRS)'; \
	rev=''; for subdir in $$list; do \
	  if test "$$subdir" = "."; then :; else \
	    rev="$$subdir $$rev"; \
	  fi; \
	done; \
	target=`echo $@ | sed s/-recursive//`; \
	for subdir in $$rev; do \
	  echo "Making $$target in $$subdir"; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$target) \
	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
	done && test -z "$$fail"

@AUTO_CVSIGNORE_TRUE@PHONY_CVSIGNORE = clean-cvsignore-local clean-cvsignore-am cvsignore \
@AUTO_CVSIGNORE_TRUE@	clean-cvsignore cvsignore-local cvsignore-am

all: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) all-am

.SUFFIXES:
.SUFFIXES: .test .ii .i .hii .hhii .tccii .out .out-filter .stderr .stderr-filter .diff .c .cc .h .hh .lo .o .obj .tcc
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am $(top_srcdir)/Make.stddef $(top_srcdir)/Make.global $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/util/test/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  src/util/test/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
hash_map_iterator_O2_bug_test.test: $(top_builddir)/config.status $(srcdir)/hash_map_iterator_O2_bug_test.test.in
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@

clean-noinstLTLIBRARIES:
	-test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
	@list='$(noinst_LTLIBRARIES)'; for p in $$list; do \
	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
	  test "$$dir" != "$$p" || dir=.; \
	  echo "rm -f \"$${dir}/so_locations\""; \
	  rm -f "$${dir}/so_locations"; \
	done
libbogusutil.la: $(libbogusutil_la_OBJECTS) $(libbogusutil_la_DEPENDENCIES) 
	$(CXXLINK)  $(libbogusutil_la_LDFLAGS) $(libbogusutil_la_OBJECTS) $(libbogusutil_la_LIBADD) $(LIBS)
libfangutil.la: $(libfangutil_la_OBJECTS) $(libfangutil_la_DEPENDENCIES) 
	$(CXXLINK)  $(libfangutil_la_LDFLAGS) $(libfangutil_la_OBJECTS) $(libfangutil_la_LIBADD) $(LIBS)
liblinktest.la: $(liblinktest_la_OBJECTS) $(liblinktest_la_DEPENDENCIES) 
	$(CXXLINK)  $(liblinktest_la_LDFLAGS) $(liblinktest_la_OBJECTS) $(liblinktest_la_LIBADD) $(LIBS)
libpooled.la: $(libpooled_la_OBJECTS) $(libpooled_la_DEPENDENCIES) 
	$(CXXLINK)  $(libpooled_la_LDFLAGS) $(libpooled_la_OBJECTS) $(libpooled_la_LIBADD) $(LIBS)

clean-noinstPROGRAMS:
	@list='$(noinst_PROGRAMS)'; for p in $$list; do \
	  f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  echo " rm -f $$p $$f"; \
	  rm -f $$p $$f ; \
	done
EBCO_test$(EXEEXT): $(EBCO_test_OBJECTS) $(EBCO_test_DEPENDENCIES) 
	@rm -f EBCO_test$(EXEEXT)
	$(CXXLINK) $(EBCO_test_LDFLAGS) $(EBCO_test_OBJECTS) $(EBCO_test_LDADD) $(LIBS)
bitmanip_test$(EXEEXT): $(bitmanip_test_OBJECTS) $(bitmanip_test_DEPENDENCIES) 
	@rm -f bitmanip_test$(EXEEXT)
	$(CXXLINK) $(bitmanip_test_LDFLAGS) $(bitmanip_test_OBJECTS) $(bitmanip_test_LDADD) $(LIBS)
chunk_map_pool_test$(EXEEXT): $(chunk_map_pool_test_OBJECTS) $(chunk_map_pool_test_DEPENDENCIES) 
	@rm -f chunk_map_pool_test$(EXEEXT)
	$(CXXLINK) $(chunk_map_pool_test_LDFLAGS) $(chunk_map_pool_test_OBJECTS) $(chunk_map_pool_test_LDADD) $(LIBS)
chunk_pool_ref_count_test$(EXEEXT): $(chunk_pool_ref_count_test_OBJECTS) $(chunk_pool_ref_count_test_DEPENDENCIES) 
	@rm -f chunk_pool_ref_count_test$(EXEEXT)
	$(CXXLINK) $(chunk_pool_ref_count_test_LDFLAGS) $(chunk_pool_ref_count_test_OBJECTS) $(chunk_pool_ref_count_test_LDADD) $(LIBS)
collection_pool_test$(EXEEXT): $(collection_pool_test_OBJECTS) $(collection_pool_test_DEPENDENCIES) 
	@rm -f collection_pool_test$(EXEEXT)
	$(CXXLINK) $(collection_pool_test_LDFLAGS) $(collection_pool_test_OBJECTS) $(collection_pool_test_LDADD) $(LIBS)
count_ptr_test$(EXEEXT): $(count_ptr_test_OBJECTS) $(count_ptr_test_DEPENDENCIES) 
	@rm -f count_ptr_test$(EXEEXT)
	$(CXXLINK) $(count_ptr_test_LDFLAGS) $(count_ptr_test_OBJECTS) $(count_ptr_test_LDADD) $(LIBS)
count_ptr_variant_test$(EXEEXT): $(count_ptr_variant_test_OBJECTS) $(count_ptr_variant_test_DEPENDENCIES) 
	@rm -f count_ptr_variant_test$(EXEEXT)
	$(CXXLINK) $(count_ptr_variant_test_LDFLAGS) $(count_ptr_variant_test_OBJECTS) $(count_ptr_variant_test_LDADD) $(LIBS)
deque_iterator_test$(EXEEXT): $(deque_iterator_test_OBJECTS) $(deque_iterator_test_DEPENDENCIES) 
	@rm -f deque_iterator_test$(EXEEXT)
	$(CXXLINK) $(deque_iterator_test_LDFLAGS) $(deque_iterator_test_OBJECTS) $(deque_iterator_test_LDADD) $(LIBS)
discrete_interval_set_test$(EXEEXT): $(discrete_interval_set_test_OBJECTS) $(discrete_interval_set_test_DEPENDENCIES) 
	@rm -f discrete_interval_set_test$(EXEEXT)
	$(CXXLINK) $(discrete_interval_set_test_LDFLAGS) $(discrete_interval_set_test_OBJECTS) $(discrete_interval_set_test_LDADD) $(LIBS)
excl_ptr_variant_test$(EXEEXT): $(excl_ptr_variant_test_OBJECTS) $(excl_ptr_variant_test_DEPENDENCIES) 
	@rm -f excl_ptr_variant_test$(EXEEXT)
	$(CXXLINK) $(excl_ptr_variant_test_LDFLAGS) $(excl_ptr_variant_test_OBJECTS) $(excl_ptr_variant_test_LDADD) $(LIBS)
exit_test$(EXEEXT): $(exit_test_OBJECTS) $(exit_test_DEPENDENCIES) 
	@rm -f exit_test$(EXEEXT)
	$(CXXLINK) $(exit_test_LDFLAGS) $(exit_test_OBJECTS) $(exit_test_LDADD) $(LIBS)
free_list_test$(EXEEXT): $(free_list_test_OBJECTS) $(free_list_test_DEPENDENCIES) 
	@rm -f free_list_test$(EXEEXT)
	$(CXXLINK) $(free_list_test_LDFLAGS) $(free_list_test_OBJECTS) $(free_list_test_LDADD) $(LIBS)
friend_function_formal_bug$(EXEEXT): $(friend_function_formal_bug_OBJECTS) $(friend_function_formal_bug_DEPENDENCIES) 
	@rm -f friend_function_formal_bug$(EXEEXT)
	$(CXXLINK) $(friend_function_formal_bug_LDFLAGS) $(friend_function_formal_bug_OBJECTS) $(friend_function_formal_bug_LDADD) $(LIBS)
gxx-pr29164-operator-delete$(EXEEXT): $(gxx_pr29164_operator_delete_OBJECTS) $(gxx_pr29164_operator_delete_DEPENDENCIES) 
	@rm -f gxx-pr29164-operator-delete$(EXEEXT)
	$(CXXLINK) $(gxx_pr29164_operator_delete_LDFLAGS) $(gxx_pr29164_operator_delete_OBJECTS) $(gxx_pr29164_operator_delete_LDADD) $(LIBS)
hash_map_iterator_O2_bug_test$(EXEEXT): $(hash_map_iterator_O2_bug_test_OBJECTS) $(hash_map_iterator_O2_bug_test_DEPENDENCIES) 
	@rm -f hash_map_iterator_O2_bug_test$(EXEEXT)
	$(CXXLINK) $(hash_map_iterator_O2_bug_test_LDFLAGS) $(hash_map_iterator_O2_bug_test_OBJECTS) $(hash_map_iterator_O2_bug_test_LDADD) $(LIBS)
hash_qmap_test$(EXEEXT): $(hash_qmap_test_OBJECTS) $(hash_qmap_test_DEPENDENCIES) 
	@rm -f hash_qmap_test$(EXEEXT)
	$(CXXLINK) $(hash_qmap_test_LDFLAGS) $(hash_qmap_test_OBJECTS) $(hash_qmap_test_LDADD) $(LIBS)
integer_traits_test$(EXEEXT): $(integer_traits_test_OBJECTS) $(integer_traits_test_DEPENDENCIES) 
	@rm -f integer_traits_test$(EXEEXT)
	$(CXXLINK) $(integer_traits_test_LDFLAGS) $(integer_traits_test_OBJECTS) $(integer_traits_test_LDADD) $(LIBS)
link_test$(EXEEXT): $(link_test_OBJECTS) $(link_test_DEPENDENCIES) 
	@rm -f link_test$(EXEEXT)
	$(CXXLINK) $(link_test_LDFLAGS) $(link_test_OBJECTS) $(link_test_LDADD) $(LIBS)
list_vector_pool_test$(EXEEXT): $(list_vector_pool_test_OBJECTS) $(list_vector_pool_test_DEPENDENCIES) 
	@rm -f list_vector_pool_test$(EXEEXT)
	$(CXXLINK) $(list_vector_pool_test_LDFLAGS) $(list_vector_pool_test_OBJECTS) $(list_vector_pool_test_LDADD) $(LIBS)
list_vector_test$(EXEEXT): $(list_vector_test_OBJECTS) $(list_vector_test_DEPENDENCIES) 
	@rm -f list_vector_test$(EXEEXT)
	$(CXXLINK) $(list_vector_test_LDFLAGS) $(list_vector_test_OBJECTS) $(list_vector_test_LDADD) $(LIBS)
local_static_store_test$(EXEEXT): $(local_static_store_test_OBJECTS) $(local_static_store_test_DEPENDENCIES) 
	@rm -f local_static_store_test$(EXEEXT)
	$(CXXLINK) $(local_static_store_test_LDFLAGS) $(local_static_store_test_OBJECTS) $(local_static_store_test_LDADD) $(LIBS)
maplikeset_test$(EXEEXT): $(maplikeset_test_OBJECTS) $(maplikeset_test_DEPENDENCIES) 
	@rm -f maplikeset_test$(EXEEXT)
	$(CXXLINK) $(maplikeset_test_LDFLAGS) $(maplikeset_test_OBJECTS) $(maplikeset_test_LDADD) $(LIBS)
multi_pool_module_test$(EXEEXT): $(multi_pool_module_test_OBJECTS) $(multi_pool_module_test_DEPENDENCIES) 
	@rm -f multi_pool_module_test$(EXEEXT)
	$(CXXLINK) $(multi_pool_module_test_LDFLAGS) $(multi_pool_module_test_OBJECTS) $(multi_pool_module_test_LDADD) $(LIBS)
multidimensional_qmap_test$(EXEEXT): $(multidimensional_qmap_test_OBJECTS) $(multidimensional_qmap_test_DEPENDENCIES) 
	@rm -f multidimensional_qmap_test$(EXEEXT)
	$(CXXLINK) $(multidimensional_qmap_test_LDFLAGS) $(multidimensional_qmap_test_OBJECTS) $(multidimensional_qmap_test_LDADD) $(LIBS)
multidimensional_sparse_set_test$(EXEEXT): $(multidimensional_sparse_set_test_OBJECTS) $(multidimensional_sparse_set_test_DEPENDENCIES) 
	@rm -f multidimensional_sparse_set_test$(EXEEXT)
	$(CXXLINK) $(multidimensional_sparse_set_test_LDFLAGS) $(multidimensional_sparse_set_test_OBJECTS) $(multidimensional_sparse_set_test_LDADD) $(LIBS)
multikey_generator_test$(EXEEXT): $(multikey_generator_test_OBJECTS) $(multikey_generator_test_DEPENDENCIES) 
	@rm -f multikey_generator_test$(EXEEXT)
	$(CXXLINK) $(multikey_generator_test_LDFLAGS) $(multikey_generator_test_OBJECTS) $(multikey_generator_test_LDADD) $(LIBS)
multikey_qmap_slice_test$(EXEEXT): $(multikey_qmap_slice_test_OBJECTS) $(multikey_qmap_slice_test_DEPENDENCIES) 
	@rm -f multikey_qmap_slice_test$(EXEEXT)
	$(CXXLINK) $(multikey_qmap_slice_test_LDFLAGS) $(multikey_qmap_slice_test_OBJECTS) $(multikey_qmap_slice_test_LDADD) $(LIBS)
multikey_qmap_test$(EXEEXT): $(multikey_qmap_test_OBJECTS) $(multikey_qmap_test_DEPENDENCIES) 
	@rm -f multikey_qmap_test$(EXEEXT)
	$(CXXLINK) $(multikey_qmap_test_LDFLAGS) $(multikey_qmap_test_OBJECTS) $(multikey_qmap_test_LDADD) $(LIBS)
multikey_set_derived_test$(EXEEXT): $(multikey_set_derived_test_OBJECTS) $(multikey_set_derived_test_DEPENDENCIES) 
	@rm -f multikey_set_derived_test$(EXEEXT)
	$(CXXLINK) $(multikey_set_derived_test_LDFLAGS) $(multikey_set_derived_test_OBJECTS) $(multikey_set_derived_test_LDADD) $(LIBS)
multikey_set_test$(EXEEXT): $(multikey_set_test_OBJECTS) $(multikey_set_test_DEPENDENCIES) 
	@rm -f multikey_set_test$(EXEEXT)
	$(CXXLINK) $(multikey_set_test_LDFLAGS) $(multikey_set_test_OBJECTS) $(multikey_set_test_LDADD) $(LIBS)
new_functor_test$(EXEEXT): $(new_functor_test_OBJECTS) $(new_functor_test_DEPENDENCIES) 
	@rm -f new_functor_test$(EXEEXT)
	$(CXXLINK) $(new_functor_test_LDFLAGS) $(new_functor_test_OBJECTS) $(new_functor_test_LDADD) $(LIBS)
packed_array_test$(EXEEXT): $(packed_array_test_OBJECTS) $(packed_array_test_DEPENDENCIES) 
	@rm -f packed_array_test$(EXEEXT)
	$(CXXLINK) $(packed_array_test_LDFLAGS) $(packed_array_test_OBJECTS) $(packed_array_test_LDADD) $(LIBS)
pipe_fork_test$(EXEEXT): $(pipe_fork_test_OBJECTS) $(pipe_fork_test_DEPENDENCIES) 
	@rm -f pipe_fork_test$(EXEEXT)
	$(CXXLINK) $(pipe_fork_test_LDFLAGS) $(pipe_fork_test_OBJECTS) $(pipe_fork_test_LDADD) $(LIBS)
pointer_classes_test$(EXEEXT): $(pointer_classes_test_OBJECTS) $(pointer_classes_test_DEPENDENCIES) 
	@rm -f pointer_classes_test$(EXEEXT)
	$(CXXLINK) $(pointer_classes_test_LDFLAGS) $(pointer_classes_test_OBJECTS) $(pointer_classes_test_LDADD) $(LIBS)
popen_test$(EXEEXT): $(popen_test_OBJECTS) $(popen_test_DEPENDENCIES) 
	@rm -f popen_test$(EXEEXT)
	$(CXXLINK) $(popen_test_LDFLAGS) $(popen_test_OBJECTS) $(popen_test_LDADD) $(LIBS)
pretty_function_test$(EXEEXT): $(pretty_function_test_OBJECTS) $(pretty_function_test_DEPENDENCIES) 
	@rm -f pretty_function_test$(EXEEXT)
	$(CXXLINK) $(pretty_function_test_LDFLAGS) $(pretty_function_test_OBJECTS) $(pretty_function_test_LDADD) $(LIBS)
priority_queue_test$(EXEEXT): $(priority_queue_test_OBJECTS) $(priority_queue_test_DEPENDENCIES) 
	@rm -f priority_queue_test$(EXEEXT)
	$(CXXLINK) $(priority_queue_test_LDFLAGS) $(priority_queue_test_OBJECTS) $(priority_queue_test_LDADD) $(LIBS)
ring_node_test$(EXEEXT): $(ring_node_test_OBJECTS) $(ring_node_test_DEPENDENCIES) 
	@rm -f ring_node_test$(EXEEXT)
	$(CXXLINK) $(ring_node_test_LDFLAGS) $(ring_node_test_OBJECTS) $(ring_node_test_LDADD) $(LIBS)
sparse_collection_test$(EXEEXT): $(sparse_collection_test_OBJECTS) $(sparse_collection_test_DEPENDENCIES) 
	@rm -f sparse_collection_test$(EXEEXT)
	$(CXXLINK) $(sparse_collection_test_LDFLAGS) $(sparse_collection_test_OBJECTS) $(sparse_collection_test_LDADD) $(LIBS)
stacktrace_test$(EXEEXT): $(stacktrace_test_OBJECTS) $(stacktrace_test_DEPENDENCIES) 
	@rm -f stacktrace_test$(EXEEXT)
	$(CXXLINK) $(stacktrace_test_LDFLAGS) $(stacktrace_test_OBJECTS) $(stacktrace_test_LDADD) $(LIBS)
static_count_ptr_test$(EXEEXT): $(static_count_ptr_test_OBJECTS) $(static_count_ptr_test_DEPENDENCIES) 
	@rm -f static_count_ptr_test$(EXEEXT)
	$(CXXLINK) $(static_count_ptr_test_LDFLAGS) $(static_count_ptr_test_OBJECTS) $(static_count_ptr_test_LDADD) $(LIBS)
string_test$(EXEEXT): $(string_test_OBJECTS) $(string_test_DEPENDENCIES) 
	@rm -f string_test$(EXEEXT)
	$(CXXLINK) $(string_test_LDFLAGS) $(string_test_OBJECTS) $(string_test_LDADD) $(LIBS)
sublist_test$(EXEEXT): $(sublist_test_OBJECTS) $(sublist_test_DEPENDENCIES) 
	@rm -f sublist_test$(EXEEXT)
	$(CXXLINK) $(sublist_test_LDFLAGS) $(sublist_test_OBJECTS) $(sublist_test_LDADD) $(LIBS)
throw_test$(EXEEXT): $(throw_test_OBJECTS) $(throw_test_DEPENDENCIES) 
	@rm -f throw_test$(EXEEXT)
	$(CXXLINK) $(throw_test_LDFLAGS) $(throw_test_OBJECTS) $(throw_test_LDADD) $(LIBS)
union_find_test$(EXEEXT): $(union_find_test_OBJECTS) $(union_find_test_DEPENDENCIES) 
	@rm -f union_find_test$(EXEEXT)
	$(CXXLINK) $(union_find_test_LDFLAGS) $(union_find_test_OBJECTS) $(union_find_test_LDADD) $(LIBS)
what_test$(EXEEXT): $(what_test_OBJECTS) $(what_test_DEPENDENCIES) 
	@rm -f what_test$(EXEEXT)
	$(CXXLINK) $(what_test_LDFLAGS) $(what_test_OBJECTS) $(what_test_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/EBCO_test.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/bitmanip_test.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/bitset.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/bogus_stacktrace.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/chunk_map_pool_test.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/chunk_pool_ref_count_test.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/collection_pool_test.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/count_ptr_test.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/count_ptr_variant_test.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/deque_iterator_test.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/discrete_interval_set_test.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/excl_ptr_variant_test.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/exit_test.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/free_list_test.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/friend_function_formal_bug.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gxx-pr29164-operator-delete.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/hash_map_iterator_O2_bug_test.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/hash_qmap_test.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/integer_traits_test.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/link_mod_a.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/link_mod_b.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/link_test.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/list_vector_pool_test.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/list_vector_test.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/local_static_store_test.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/maplikeset_test.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/multi_pool_module_test.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/multidimensional_qmap_test.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/multidimensional_sparse_set_test.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/multikey_generator_test.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/multikey_qmap_slice_test.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/multikey_qmap_test.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/multikey_set_derived_test.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/multikey_set_test.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/named_pooled_thing.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/new_functor_test.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/nibble_tables.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/one_array_only.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/packed_array_test.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/pipe_fork_test.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/pointer_classes_test.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/pool_module_a.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/pool_module_b.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/pooled_thing.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/popen_test.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/pretty_function_test.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/priority_queue_test.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ref_count_pool.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ring_node_test.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/sparse_collection_test.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/stacktrace.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/stacktrace_test.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/static_count_ptr_test.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/static_trace.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/string.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/string_test.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/sublist_test.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/thread_lock.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/throw_test.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/union_find_test.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/what_test.Po@am__quote@

.cc.o:
@am__fastdepCXX_TRUE@	depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`; \
@am__fastdepCXX_TRUE@	if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$$depbase.Tpo" -c -o $@ $<; \
@am__fastdepCXX_TRUE@	then mv -f "$$depbase.Tpo" "$$depbase.Po"; else rm -f "$$depbase.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(CXXCOMPILE) -c -o $@ $<

.cc.obj:
@am__fastdepCXX_TRUE@	depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`; \
@am__fastdepCXX_TRUE@	if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$$depbase.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
@am__fastdepCXX_TRUE@	then mv -f "$$depbase.Tpo" "$$depbase.Po"; else rm -f "$$depbase.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`

.cc.lo:
@am__fastdepCXX_TRUE@	depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`; \
@am__fastdepCXX_TRUE@	if $(LTCXXCOMPILE) -MT $@ -MD -MP -MF "$$depbase.Tpo" -c -o $@ $<; \
@am__fastdepCXX_TRUE@	then mv -f "$$depbase.Tpo" "$$depbase.Plo"; else rm -f "$$depbase.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(LTCXXCOMPILE) -c -o $@ $<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique
tags: TAGS

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	    $$tags $$unique; \
	fi
ctags: CTAGS
CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(CTAGS_ARGS)$$tags$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$tags $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && cd $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) $$here

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags

check-TESTS: $(TESTS)
	@failed=0; all=0; xfail=0; xpass=0; skip=0; \
	srcdir=$(srcdir); export srcdir; \
	list='$(TESTS)'; \
	if test -n "$$list"; then \
	  for tst in $$list; do \
	    if test -f ./$$tst; then dir=./; \
	    elif test -f $$tst; then dir=; \
	    else dir="$(srcdir)/"; fi; \
	    if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
	      all=`expr $$all + 1`; \
	      case " $(XFAIL_TESTS) " in \
	      *" $$tst "*) \
		xpass=`expr $$xpass + 1`; \
		failed=`expr $$failed + 1`; \
		echo "XPASS: $$tst"; \
	      ;; \
	      *) \
		echo "PASS: $$tst"; \
	      ;; \
	      esac; \
	    elif test $$? -ne 77; then \
	      all=`expr $$all + 1`; \
	      case " $(XFAIL_TESTS) " in \
	      *" $$tst "*) \
		xfail=`expr $$xfail + 1`; \
		echo "XFAIL: $$tst"; \
	      ;; \
	      *) \
		failed=`expr $$failed + 1`; \
		echo "FAIL: $$tst"; \
	      ;; \
	      esac; \
	    else \
	      skip=`expr $$skip + 1`; \
	      echo "SKIP: $$tst"; \
	    fi; \
	  done; \
	  if test "$$failed" -eq 0; then \
	    if test "$$xfail" -eq 0; then \
	      banner="All $$all tests passed"; \
	    else \
	      banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
	    fi; \
	  else \
	    if test "$$xpass" -eq 0; then \
	      banner="$$failed of $$all tests failed"; \
	    else \
	      banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
	    fi; \
	  fi; \
	  dashes="$$banner"; \
	  skipped=""; \
	  if test "$$skip" -ne 0; then \
	    skipped="($$skip tests were not run)"; \
	    test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
	      dashes="$$skipped"; \
	  fi; \
	  report=""; \
	  if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
	    report="Please report to $(PACKAGE_BUGREPORT)"; \
	    test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
	      dashes="$$report"; \
	  fi; \
	  dashes=`echo "$$dashes" | sed s/./=/g`; \
	  echo "$$dashes"; \
	  echo "$$banner"; \
	  test -z "$$skipped" || echo "$$skipped"; \
	  test -z "$$report" || echo "$$report"; \
	  echo "$$dashes"; \
	  test "$$failed" -eq 0; \
	else :; fi

distdir: $(DISTFILES)
	$(mkdir_p) $(distdir)/../../..
	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
	list='$(DISTFILES)'; for file in $$list; do \
	  case $$file in \
	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
	  esac; \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkdir_p) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
	$(MAKE) $(AM_MAKEFLAGS) \
	  top_distdir="$(top_distdir)" distdir="$(distdir)" \
	  dist-hook
check-am: all-am
	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
check: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) check-am
all-am: Makefile $(LTLIBRARIES) $(PROGRAMS) $(HEADERS) all-local
installdirs:
install: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:
	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
	-test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
	-test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
clean: clean-am

clean-am: clean-generic clean-libtool clean-local \
	clean-noinstLTLIBRARIES clean-noinstPROGRAMS mostlyclean-am

distclean: distclean-am
	-rm -rf ./$(DEPDIR)
	-rm -f Makefile
distclean-am: clean-am distclean-compile distclean-generic \
	distclean-libtool distclean-local distclean-tags

dvi: dvi-am

dvi-am:

html: html-am

info: info-am

info-am:

install-data-am:

install-exec-am:

install-info: install-info-am

install-man:

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -rf ./$(DEPDIR)
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-compile mostlyclean-generic \
	mostlyclean-libtool

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am: uninstall-info-am

.PHONY: CTAGS GTAGS all all-am all-local check check-TESTS check-am \
	clean clean-generic clean-libtool clean-local \
	clean-noinstLTLIBRARIES clean-noinstPROGRAMS ctags dist-hook \
	distclean distclean-compile distclean-generic \
	distclean-libtool distclean-local distclean-tags distdir dvi \
	dvi-am html html-am info info-am install install-am \
	install-data install-data-am install-exec install-exec-am \
	install-info install-info-am install-man install-strip \
	installcheck installcheck-am installdirs maintainer-clean \
	maintainer-clean-generic mostlyclean mostlyclean-compile \
	mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
	tags uninstall uninstall-am uninstall-info-am

force-am:
force:

# end "Make.stddef"

.diff.test:
	@$(DEFAULT_DIFF_TEST_SCRIPT)

.out.out-filter:
	@$(ADDRESS_FILTER) $< > $@

.stderr.stderr-filter:
	@$(ADDRESS_FILTER) $< > $@

.stderr-filter.diff:
	@out=`$(ECHO) $@ | $(SED) 's/\.diff$$/.out-filter/g'` ; \
	expect=`$(ECHO) $@ | $(SED) 's/\.diff$$/.stderr-filter/g'` ; \
	morefilter=$(srcdir)/`$(ECHO) $@ | $(SED) 's/\.diff$$/.morefilter.sh/g'` ; \
	if test -f $$morefilter ; then \
	  $(MV) $$out $$out-orig ; \
	  $(MV) $$expect $$expect-orig ; \
	  $$morefilter $$out-orig $$out ; \
	  $$morefilter $$expect-orig $$expect ; \
	  $(TEST_DIFF) $$expect-orig $$out-orig > $@-orig ; \
	  if test -s $@-orig ; then \
	    $(ECHO) "$@-orig is actually non-empty.  (OK)" ; \
	  fi ; \
	fi
	-$(TEST_DIFF) $^ > $@
	@$(TOUCH) $@ ; \
	if test -s $@ ; then \
	  $(ECHO) "Differences found in $@!" ; \
	fi
diff.autodepend: Makefile
	@$(ECHO) "Generating dependencies $@" ; \
	list='$(noinst_PROGRAMS)' ; \
	test -z "$$list" || \
	for e in $$list ; do \
	  $(ECHO) "$$e.diff: $$e.out-filter" ; \
	  $(ECHO) "" ; \
	done > $@ ; \
	$(TOUCH) $@

-include diff.autodepend
# rules for creating .out from executables
exec.autodepend: Makefile
	@$(ECHO) "Generating dependencies $@" ; \
	list='$(noinst_PROGRAMS)' ; \
	test -z "$$list" || \
	for e in $$list ; do \
	  $(ECHO) "$$e.out: $$e" ; \
	  $(ECHO) "	-./$$""< > $$""@ 2>&1 ; $(TOUCH) $$""@" ; \
	  $(ECHO) "" ; \
	done > $@ ; \
	$(TOUCH) $@

-include exec.autodepend

# liblinktest_la_LDFLAGS = -multiply_defined

# for occasional compiler debugging
# SAVETEMP = $(CXXCOMPILE) -v -save-temps
.c.i:
	$(CPREPROCESS) $< > $@

.cc.ii:
	$(CXXPREPROCESS) $< > $@

.h.hii:
	$(CXXPREPROCESS) $< > $@

.hh.hhii:
	$(CXXPREPROCESS) $< > $@

.tcc.tccii:
	$(CXXPREPROCESS) $< > $@

# do not explicitly reference files in parent directory, because automake
# will clobber the .deps dependencies in the parent directory, 
# possibly confusing the parent directories when they expect .deps to
# exist, especially on make distclean.  
stacktrace.cc: ../stacktrace.cc
	$(LN_S) $? $@

static_trace.cc: ../static_trace.cc
	$(LN_S) $? $@

thread_lock.cc: ../memory/thread_lock.cc
	$(LN_S) $? $@

ref_count_pool.cc: ../memory/ref_count_pool.cc
	$(LN_S) $? $@

bitset.cc: ../bitset.cc
	$(LN_S) $? $@

string.cc: ../string.cc
	$(LN_S) $? $@

nibble_tables.cc: ../numeric/nibble_tables.cc
	$(LN_S) $? $@

friend_function_formal_bug.stderr:
	$(TOUCH) $@

link_test.stderr:
	$(TOUCH) $@

excl_ptr_variant_test.stderr:
	$(TOUCH) $@

count_ptr_variant_test.stderr:
	$(TOUCH) $@

hash_map_iterator_O2_bug_test.stderr:
	$(TOUCH) $@

# special case: for static_count_ptr_test
# use default suffix rule
# override suffix rule, mimic ILP32 result
@ABI_ILP32_FALSE@static_count_ptr_test.out-filter: static_count_ptr_test.out
@ABI_ILP32_FALSE@	$(CAT) $< | $(SED) '/chunk/s/16\*[0-9]/16*4/g' | $(ADDRESS_FILTER) > $@

# don't filter out hex
bitmanip_test.diff: bitmanip_test.out bitmanip_test.stderr
	-@out=`$(ECHO) $@ | $(SED) 's/\.diff$$/.out/g'` ; \
	expect=$(srcdir)/`$(ECHO) $@ | $(SED) 's/\.diff$$/.stderr/g'` ; \
	$(ECHO) "$(DIFF) -u $$expect $$out > $@" && \
	$(DIFF) -u $$expect $$out > $@ 2>&1 ; \
	$(TOUCH) $@

multikey_set_derived_test.stderr: multikey_set_test.stderr
	$(CP) $? $@

# all-local: $(TESTS)

build-check-local: \
	$(TESTS) \
	$(noinst_PROGRAMS:=.out) \
	$(noinst_PROGRAMS:=.out-filter) \
	$(noinst_PROGRAMS:=.stderr-filter) \
	$(noinst_PROGRAMS:=.diff)

clean-local:
	-$(RM) $(BUILT_SOURCES)
	-$(RM) *.core core.*
	-$(RM) *.diff *.test *.out
	-$(RM) *.filter *-filter *-orig

# automatically runs autotools (and recursively in subdirectories)
reconf: force
	autoreconf

# .cvsignore for this project will always be semi-automatically generated
# .cvsignore is never needed for VPATH builds, duh!
@AUTO_CVSIGNORE_TRUE@$(srcdir)/.cvsignore: $(srcdir)/Makefile.am $(top_srcdir)/Make.global

# phony recursive target
@AUTO_CVSIGNORE_TRUE@cvsignore-recursive: $(srcdir)/.cvsignore force

@AUTO_CVSIGNORE_TRUE@cvsignore: cvsignore-recursive

@AUTO_CVSIGNORE_TRUE@cvsignore-am: $(srcdir)/.cvsignore cvsignore-local

@AUTO_CVSIGNORE_TRUE@clean-cvsignore: clean-cvsignore-recursive

@AUTO_CVSIGNORE_TRUE@clean-cvsignore-am: clean-cvsignore-local
@AUTO_CVSIGNORE_TRUE@	-$(RM) $(srcdir)/.cvsignore

# DISTCLEANFILES += $(srcdir)/.cvsignore

all-local: $(ALL_CVSIGNORE)

build-check: build-check-recursive

build-check-am: build-check-local

build-check-local:

# convenient target for building subtree of the distribution
# not a recursive target
# this also clears out the target distribution directory first
distdir-subdir:
	top_distdir="$(top_builddir)/$(PACKAGE)-$(VERSION)" ; \
	distdir="$$top_distdir/$(subdir)" ; \
	until rm -fr $$distdir ; do : ; done ; \
	$(mkdir_p) $$distdir ; \
	$(MAKE) top_distdir="$$top_distdir" distdir="$$distdir" distdir ; \
	$(ECHO) "$$distdir ready for inspection."

# This target tells make to look exclusively in the srcdir for these files
# and copy them over to the distdir.
# This is needed because the EXTRA_DIST target sometimes finds unwanted files
# in the build directory.  (e.g. auto-generated empty files)
# $distdir is assumed passed in as Makefile variable already because it 
# is a dependency of dist-hook, which is a dependency of distdir.
# NOTE: this ignores files that are not found in the srcdir!
srcdir-distfiles: force
	list='$(srcdir_EXTRA_DIST)'; \
	for file in $$list ; do \
	  test ! -f $(srcdir)/$$file || cp -p $(srcdir)/$$file $(distdir) ; \
	done
#	for file in $$list ; do \
#	  case $$file in \
#	    $(srcdir)/*) cp $$file $(distdir) ;; \
#	    *) cp $(srcdir)/$$file $(distdir) ;; \
#	  esac ; \
#	done

dist-hook: srcdir-distfiles

cleandirs:
	test -z "$(CLEANDIRS)" || $(RM) -r $(CLEANDIRS)

clean-local: cleandirs

# $distdir is assumed passed in as Makefile variable
distcleandirs:
	test -z "$(DISTCLEANDIRS)" || $(RM) -r $(DISTCLEANDIRS)

distclean-local: distcleandirs

# $distdir is assumed passed in as Makefile variable
dist-hook-autoclean:
	-cd $(distdir) && { test -z "$(DISTHOOK_CLEANFILES)" || $(RM) $(DISTHOOK_CLEANFILES) ;}

dist-hook: dist-hook-autoclean

# echo makefile debugging
echo-extra-dist: force
	@$(ECHO) $(EXTRA_DIST)

echo-srcdir-extra-dist: force
	@$(ECHO) $(srcdir_EXTRA_DIST)

# list the automatically distributed files
echo-dist-common: force
	@$(ECHO) $(DIST_COMMON)

echo-distfiles: force
	@$(ECHO) $(DISTFILES)

echo-cleanfiles: force
	@$(ECHO) $(CLEANFILES)

echo-disthook-cleanfiles: force
	@$(ECHO) $(DISTHOOK_CLEANFILES)

echo-distcleanfiles: force
	@$(ECHO) $(DISTCLEANFILES)

echo-auto-ignore: force
	@$(ECHO) $(AUTO_IGNORE)

echo-config: force
	cd $(top_builddir) && ./config.status --version

echo-srcdir: force
	@$(ECHO) $(srcdir)

echo-top-srcdir: force
	@$(ECHO) $(top_srcdir)

echo-top-builddir: force
	@$(ECHO) $(top_builddir)

echo-subdir: force
	@$(ECHO) $(subdir)

echo-subdirs: force
	@$(ECHO) $(SUBDIRS)

echo-dist-subdirs: force
	@$(ECHO) $(DIST_SUBDIRS)

echo-build: force
	@$(ECHO) $(build)

echo-host: force
	@$(ECHO) $(host)

echo-program-transform-name: force
	@$(ECHO) $(program_transform_name)

echo-prefix: force
	@$(ECHO) $(prefix)

echo-exec-prefix: force
	@$(ECHO) $(exec_prefix)

echo-programs: force
	@$(ECHO) $(PROGRAMS)

echo-scripts: force
	@$(ECHO) $(SCRIPTS)

echo-data: force
	@$(ECHO) $(DATA)

echo-texinfos: force
	@$(ECHO) $(TEXINFOS)

echo-dvis: force
	@$(ECHO) $(DVIS)

echo-pdfs: force
	@$(ECHO) $(PDFS)

echo-pss: force
	@$(ECHO) $(PSS)

echo-htmls: force
	@$(ECHO) $(htmls)

echo-package: force
	@$(ECHO) $(PACKAGE)

echo-package-bugreport: force
	@$(ECHO) $(PACKAGE_BUGREPORT)

echo-package-version: force
	@$(ECHO) $(PACKAGE_VERSION)

echo-SUFFIXES: force
	@$(ECHO) $(SUFFIXES)

echo-LEX: force
	@$(ECHO) $(LEX)

echo-YACC: force
	@$(ECHO) $(YACC)

echo-AM_CFLAGS: force
	@$(ECHO) $(AM_CFLAGS)

echo-AM_CXXFLAGS: force
	@$(ECHO) $(AM_CXXFLAGS)

echo-AM_CPPFLAGS: force
	@$(ECHO) $(AM_CPPFLAGS)

echo-AM_LDFLAGS: force
	@$(ECHO) $(AM_LDFLAGS)

echo-CFLAGS: force
	@$(ECHO) $(CFLAGS)

echo-CXXFLAGS: force
	@$(ECHO) $(CXXFLAGS)

echo-CPPFLAGS: force
	@$(ECHO) $(CPPFLAGS)

echo-LDFLAGS: force
	@$(ECHO) $(LDFLAGS)

echo-LIBS: force
	@$(ECHO) $(LIBS)

# might as well include this for non-maintainers too
# again, can't append to file with cat redirection because distclean
# sets permissions of new files as read-only
# NOTE: local.cvsignore may be normal or automatically generated
@AUTO_CVSIGNORE_TRUE@$(srcdir)/.cvsignore: local.cvsignore
@AUTO_CVSIGNORE_TRUE@	@$(ECHO) $(AUTO_IGNORE) | $(SPACES_TO_NEWLINE) > $@.temp
@AUTO_CVSIGNORE_TRUE@	-$(CAT) $< $@.temp > $@
@AUTO_CVSIGNORE_TRUE@	-$(RM) $@.temp

# -k option allows continuation past directories with failed tests
check.log: force
	@$(ECHO) "Logging results of \"make -k check\" in $@ ..."
	@$(ECHO) Tests started `$(DATE)` > $@.tmp
	-$(MAKE) -k check >> $@.tmp 2>&1
	@$(ECHO) Tests finished `$(DATE)` >> $@.tmp
	-$(MV) $@.tmp $@
# dump failures
	-$(GREP) -v "^PASS" $@ | $(GREP) -v "ignored"
	-$(GREP) "^Tests" $@
#	@$(ECHO) `$(GREP) "Abort trap" $@ | wc -l` cases crashed.
#	@$(ECHO) Total of `$(GREP) ^FAIL $@ | wc -l` failures encountered.
	$(AWK) -f $(top_srcdir)/scripts/tally_tests.awk $@
	@if $(GREP) "make.* \*\*\* " $@ ; then \
		$(ECHO) "Errors found!  see $@." ; \
		exit 1 ; \
	fi

# filters are specific to this project
# don't depend on check.log which is forced
check.log.filter:
	@test -f check.log && \
	$(CAT) check.log | $(GREP) -v "^Summarizing" | \
		$(GREP) -v "src/hackt" > $@ \
		|| $(ECHO) "\'make check.log\' first"

# assumes 'wc' in PATH
@HAVE_CVS_TRUE@cvsdiffs: force
@HAVE_CVS_TRUE@	-{ cd $(srcdir) && $(CVS) $(DIFF) -uN ;} > $@
@HAVE_CVS_TRUE@	@$(ECHO) `$(GREP) "^-" $@ | $(GREP) -v "^---" | wc -l` "lines removed" ; \
@HAVE_CVS_TRUE@	$(ECHO) `$(GREP) "^+" $@ | $(GREP) -v "^+++" | wc -l` "lines added"
@HAVE_CVS_FALSE@cvsdiffs: force
@HAVE_CVS_FALSE@	@$(ECHO) "Sorry, no 'cvs' found in path."

# general rule for recursive targets
$(MORE_RECURSIVE_TARGETS):
	+@$(RECURSIVE_TARGET_SCRIPT)

$(MORE_CLEAN_RECURSIVE_TARGETS):
	+@$(CLEAN_RECURSIVE_TARGET_SCRIPT)

# this shouldn't be parallel...
# .NOTPARALLEL: help
# .NOTPARALLEL unfortunately kills everything...
# help: help-global help-local
help: 
# ignore stderr
	-@{ $(CALLMAKE) help-global ; \
	$(CALLMAKE) help-local ;} 2> /dev/null

help-local:

# brief description of targets
help-global:
	@$(ECHO) "Global make targets:" ; \
	$(ECHO) "    help: lists some useful make targets" ; \
	$(ECHO) "    all: builds everything (recursive)" ; \
	$(ECHO) "    clean: removes make targets (recursive)" ; \
	$(ECHO) "    distclean: removes configure targets (recursive)" ; \
	$(ECHO) "    cvsdiffs: creates difference patch from CVS"
@AUTO_CVSIGNORE_TRUE@	@$(ECHO) "    cvsignore: generates $$(srcdir)/.cvsignore (recursive)" ; \
@AUTO_CVSIGNORE_TRUE@	$(ECHO) "    clean-cvsignore: cleans $$(srcdir)/.cvsignore (recursive)"
	@$(ECHO) "    check: runs tests (recursive)" ; \
	$(ECHO) "    build-check: create/run tests, without check (recursive)" ; \
	$(ECHO) "    check.log: logs make check -k" ; \
	$(ECHO) "    distdir-subdir: packages subtree of distribution" ; \
	$(ECHO) "    pdf: builds PDFs (recursive)" ; \
	$(ECHO) "    ps: builds PostScripts (recursive)" ; \
	$(ECHO) "    info: builds texinfo files (recursive)" ; \
	$(ECHO) "    html: builds HTML files (recursive)" ; \
	$(ECHO) "    echo-*:" ; \
	$(ECHO) "	config: configure invocation (config.status --version)" ; \
	$(ECHO) "	cleanfiles: list of cleaned files" ; \
	$(ECHO) "	distcleanfiles: list of distcleaned files" ; \
	$(ECHO) "	SUFFIXES: list of Makefile suffixes" ; \
	$(ECHO) "	extra-dist: list of EXTRA_DIST files" ; \
	$(ECHO) "	srcdir-extra-dist: list of source-only distrib. files" ; \
	$(ECHO) "	dist-common: list automatic DIST_COMMON files" ; \
	$(ECHO) "	distfiles: list of all DISTFILES" ; \
	$(ECHO) "	disthook-cleanfiles: list of all DISTHOOK_CLEANFILES" ; \
	$(ECHO) "	auto-ignore: list of automatic cvsignored files" ; \
	$(ECHO) "	srcdir, top-srcdir, top-builddir, subdir, " ; \
	$(ECHO) "	build, host, prefix, exec-prefix" ; \
	$(ECHO) "	subdirs, dist-subdirs" ; \
	$(ECHO) "	programs, scripts, data" ; \
	$(ECHO) "	texinfos, dvis, pdfs, pss, htmls" ; \
	$(ECHO) "	program-transform-name, package{,-version,-bugreport}" ; \
	$(ECHO) "	CFLAGS, CXXFLAGS, CPPFLAGS, LDFLAGS, AM_*FLAGS, LIBS, LEX, YACC"

# http://xkcd.com/149/
sandwich:
	@if test `whoami` = "root" ; then \
	  $(ECHO) "Okay." ; \
	else \
	  $(ECHO) "What? Make it yourself." ; \
	fi

# standard phony target for unconditional targets
force:

.PHONY: force $(PHONY_CVSIGNORE) \
	$(MORE_RECURSIVE_TARGETS) $(MORE_CLEAN_RECURSIVE_TARGETS) \
	help help-local help-global dist-hook dist-hook-autoclean \
	srcdir-distfiles build-check build-check-am build-check-local
# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
